Package org.codehaus.groovy.runtime.m12n

# Class PropertiesModuleFactory

java.lang.Object
org.codehaus.groovy.runtime.m12n.PropertiesModuleFactory

Direct Known Subclasses:
  `StandardPropertiesModuleFactory`

public abstract class PropertiesModuleFactory extends Object
This is the base class for classes responsible for creating modules using properties.

Since:
  2.0.0
Author:
  Cedric Champeau

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MODULE_NAME_KEY`
`static final String`
`MODULE_VERSION_KEY`

## Constructor Summary

Constructors
Constructor
Description
`PropertiesModuleFactory()`

## Method Summary

Modifier and Type
Method
Description
`abstract ExtensionModule`
`newModule(Properties properties, ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODULE_NAME_KEY

public static final String MODULE_NAME_KEY

See Also:
  - Constant Field Values

### MODULE_VERSION_KEY

public static final String MODULE_VERSION_KEY

See Also:
  - Constant Field Values

## Constructor Details

### PropertiesModuleFactory

public PropertiesModuleFactory()

## Method Details

### newModule

public abstract ExtensionModule newModule(Properties properties, ClassLoader classLoader)